%{?nodejs_find_provides_and_requires}

%global packagename stream-splicer
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.3.2
Release: 1%{?dist}.3
Summary: Streaming pipeline with a mutable configuration
License: MIT
URL: https://github.com/substack/stream-splicer
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(indexof) >= 0.0.1
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
BuildRequires: npm(isarray) >= 0.0.1
BuildRequires: npm(isarray) < 0.1.0
BuildRequires: npm(readable-stream) >= 1.1.13
BuildRequires: npm(readable-stream) < 2.0.0
BuildRequires: npm(readable-wrap) >= 1.0.0
BuildRequires: npm(readable-wrap) < 2.0.0
BuildRequires: npm(through2) >= 1.0.0
%if 0%{?enable_tests}
BuildRequires: npm(JSONStream) >= 0.8.2
BuildRequires: npm(concat-stream) >= 1.4.6
BuildRequires: npm(concat-stream) < 2.0.0
BuildRequires: npm(object-keys) >= 0.5.1
BuildRequires: npm(split) >= 0.3.0
BuildRequires: npm(split) < 0.4.0
BuildRequires: npm(tape) >= 2.12.1
%endif

%description
Streaming pipeline with a mutable configuration.

This module is similar to stream-combiner,
but with a pipeline configuration that can be changed at runtime.


%prep
%setup -q -n package
%nodejs_fixdep indexof '>=0.0.1'
%nodejs_fixdep readable-stream '^1.1.13'
%nodejs_fixdep through2 '>=1.0.0'
%nodejs_fixdep --dev JSONStream '>=0.8.2'
%nodejs_fixdep --dev object-keys '>=0.5.1'
%nodejs_fixdep --dev tape '>=2.12.1'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps
# Fix symlink to point to specific version
rm %{buildroot}%{nodejs_sitelib}/%{packagename}/node_modules/readable-stream
ln -sf /usr/lib/node_modules/readable-stream@1 %{buildroot}%{nodejs_sitelib}/%{packagename}/node_modules/readable-stream

%check
%nodejs_symlink_deps --check
# Fix symlink to point to specific version
rm node_modules/readable-stream
ln -sf /usr/lib/node_modules/readable-stream@1 node_modules/readable-stream

%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 29 2016 Oleg Girko <ol@infoserver.lv> - 1.3.2-1
- Initial package.
